"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("dotenv/config");
const generateConfig = () => {
    var _a, _b, _c, _d, _e;
    const dbConfig = {
        type: 'postgres',
        host: (_a = process.env.POSTGRES_HOST) !== null && _a !== void 0 ? _a : 'localhost',
        port: parseInt(process.env.POSTGRES_PORT || '5432', 10),
        username: (_b = process.env.POSTGRES_USER) !== null && _b !== void 0 ? _b : 'admin',
        password: (_c = process.env.POSTGRES_PASSWORD) !== null && _c !== void 0 ? _c : '',
        database: (_d = process.env.POSTGRES_DATABASE) !== null && _d !== void 0 ? _d : 'users',
    };
    return Object.assign(Object.assign({}, dbConfig), { cache: {
            duration: parseInt((_e = process.env.ORM_CACHE_DURATION) !== null && _e !== void 0 ? _e : '60000'),
        }, synchronize: false, logging: true, migrationsRun: true, poolSize: process.env.NODE_ENV === 'production' ? 200 : 20, ssl: process.env.NODE_ENV === 'production' });
};
exports.default = generateConfig();
//# sourceMappingURL=postgres.configuration.js.map